# 4.4.6. BatchIDs
For some cohorts not all slides can be stained at the same time. A ```BatchID``` specifies a group of slides that were stained together. We use this information in the pipeline both for batch to batch normalization and to create an illumination correction for each batch. We correct for illumination for each batch because the light patterns for a given microscope should be the most consistent during the scanning of a single batch. In this way we can also make sure microscope maintaince never has an effect on scanning by doing any such maintaince between batches. The ```BatchID```s are project dependent such that numbers may be reused for different projects. When specifiying a ```BatchID``` it is usually best to use a two-digit integer (for values less than 10 use 01).

After a scan is completed, it should be manually verfied as complete. There are a few ways to do this, see [4.4.5.4. Part 8](ScantheWholeSlideSpecimens.md). In the successful ‘ScanN’ folder there should be a text file named *BatchID.txt*. This file will indicate the folder that will be transferred and used in the data pipeline all other Scan folders generated by the Vectra scanning softwares are ignored. This file should only be added once all HPFs have been confirmed as successfully scanned. This text file should only contain the numeric value of that ```BatchID```.
