# 4.4.5. Whole Slide Scanning
This section describes the methods for whole slide scanning. The directions assume that the user has some working knowledge of how the Akoya multiplex microscopes function. While a skilled user of the Akoya platform would be able to easily acquire whole slide imagery, these directions provide nuances that must be adhered to for successful slide processing in the AstroPath Platform. Failure to adhere to these guidelines may crash the pipeline and render whole slide imagery incompatible with the AstroPath Platform. This section is started with directions for configuring the [20% field overlap](Preparing20Overlap.md). This is followed up with steps taken to scan\ evaluate the [control tmas](ScantheControlTMA.md) and [whole slide samples](ScantheWholeSlideSpecimens.md). Again these instructions assume that the user has working knowledge of the Akoya platform and should not be used in lieu of proper microscope training. Next, a brief description on how to create a [whole slide scanning plan](CreatingaWholeSlideScanningPlan.md) is provided. Finally, [key notes and specifications](ImportantScanningNotes.md) are provided for scanning. These notes are particularly important and should be reviewed carefully.

## 4.4.5.1. Contents
  - [4.4.5.2. Preparing 20% Overlap](Preparing20Overlap.md)
  - [4.4.5.3. Scan the *Control TMA*](ScantheControlTMA.md)
  - [4.4.5.4. Scan the Whole Slide Specimens](ScantheWholeSlideSpecimens.md)
  - [4.4.5.5. Creating a Whole Slide Scanning Plan](CreatingaWholeSlideScanningPlan.md)
  - [4.4.5.6. Important Scanning Notes](ImportantScanningNotes.md)
